Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Get all calendars in a account.
GET https://services.leadconnectorhq.com/calendars/

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
groupId
string
default:"BqTwX8QFwXzpegMve9EQ"
Group Id
showDrafted
boolean
default:"False"
Show drafted

Respuestas

calendars
object[]
{
  "calendars": [
    {
      "isActive": true,
      "notifications": [
        {}
      ],
      "locationId": "ocQHyuzHvysMo5N5VsXc",
      "groupId": "BqTwX8QFwXzpegMve9EQ",
      "teamMembers": [
        {}
      ],
      "eventType": "RoundRobin_OptimizeForAvailability",
      "name": "test calendar",
      "description": "this is used for testing",
      "slug": "test1",
      "widgetSlug": "test1",
      "calendarType": "round_robin",
      "widgetType": "classic",
      "eventTitle": "{{contact.name}}",
      "eventColor": "#039be5",
      "meetingLocation": "string",
      "locationConfigurations": [
        {}
      ],
      "slotDuration": 30,
      "slotDurationUnit": "mins",
      "slotInterval": 30,
      "slotIntervalUnit": "mins",
      "slotBuffer": 0,
      "slotBufferUnit": "mins",
      "preBuffer": 0,
      "preBufferUnit": "mins",
      "appoinmentPerSlot": 1,
      "appoinmentPerDay": 0,
      "allowBookingAfter": 0,
      "allowBookingAfterUnit": "days",
      "allowBookingFor": 0,
      "allowBookingForUnit": "days",
  // truncado: 37 lineas mas
}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/calendars/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'